#include <stdio.h>
#include <stdlib.h>

void PasoPorValor(int a, int b);
void PasoPorReferencia(int *a, int *b);

int main()
{
    int a, b;
    a=3;
    b=5;

    printf("a = %d, b = %d\n\n", a, b);
    PasoPorValor(a,b);
    printf("Paso por Valor: a = %d, b = %d\n\n", a, b);
    PasoPorReferencia(&a, &b);
    printf("Ahora a = %d, b = %d\n\n", a, b);

}

void PasoPorValor(int a, int b)
{
    int tmp;
    tmp=a;
    a=b;
    b=tmp;

    printf("Dentro de la funci%cn a=%d, b=%d\n\n", 162, a, b);
}

void PasoPorReferencia(int *a, int *b)
{
    int tmp;
    tmp=*a;
    *a=*b;
    *b=tmp;
    printf("Dentro de la funci%cn a=%d, b=%d\n\n", 162, *a, *b);
}
